import useSDK from './useSDK';
export default function useBuyPrivate() {
    var sdk = useSDK();
    if (!sdk) {
        throw new Error('Sdk not initialized');
    }
    return function (assetId) { return sdk.buyPrivate(assetId); };
}
