var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { RedeemAndRevealSDK } from '@inkerlabs/sdk';
import RedeemAndRevealContext from './context';
function RedeemAndRevealProvider(props) {
    var children = props.children, config = props.config;
    var context = {};
    if (window.ethereum) {
        context.sdk = React.useMemo(function () {
            return new RedeemAndRevealSDK(window.ethereum, config);
        }, [config]);
    }
    else {
        context.error = 'Your browser does not support Web3';
    }
    return (_jsx(RedeemAndRevealContext.Provider, __assign({ value: context }, { children: children }), void 0));
}
export default RedeemAndRevealProvider;
